After upgrading to 10.5.1, seeing error "Unable to migrate existing pre-10.3 universe users" in the MOM log.

Document ID : KB000014443
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

 We had created ATC universes with users in 10.2. After upgrading to 10.5.1, seeing many errors like this in the MOM log:

[ERROR] [main] [Manager.AppMap] Unable to migrate existing pre-10.3 universe users - BAD_REQUEST

Environment:
APM 10.5.1
Answer:

 This error is logged whenever there is an ATC universe with non-empty users. The migration logic was not updated for 10.5. As a result, the error shows up.

 There are no side effects to this error though and it can be ignored.

 The migration error will be fixed in 10.5.2.